package com.fjhx.purchase.service.sales;

import com.fjhx.purchase.entity.sales.po.SalesReturn;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.sales.vo.SalesReturnVo;
import com.fjhx.purchase.entity.sales.dto.SalesReturnSelectDto;
import com.fjhx.purchase.entity.sales.dto.SalesReturnDto;

import java.util.List;


/**
 * <p>
 * 退货 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
public interface SalesReturnService extends BaseService<SalesReturn> {

    /**
     * 退货分页
     */
    Page<SalesReturnVo> getPage(SalesReturnSelectDto dto);

    /**
     * 退货明细
     */
    SalesReturnVo detail(Long id);

    /**
     * 退货新增
     */
    void add(SalesReturnDto salesReturnDto);

    /**
     * 退货编辑
     */
    void edit(SalesReturnDto salesReturnDto);

    /**
     * 退货删除
     */
    void delete(Long id);


    /**
     * 根据供应商查询退货列表
     * @param supplyId
     * @return
     */
    List<SalesReturn> getListBySupplyId(String supplyId);
}
